## php-phpoption 1.8.1

=== Makefile ===
install:
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:7.4-base update
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:7.4-base bin all update

phpunit:
	@rm -f bootstrap/cache/*.php && docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpunit --rm registry.gitlab.com/grahamcampbell/php:7.4-cli

phpstan-analyze-src:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:7.4-cli analyze src -c phpstan.src.neon.dist

phpstan-analyze-tests:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:7.4-cli analyze tests -c phpstan.tests.neon.dist

phpstan-baseline:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:7.4-cli analyze src -c phpstan.src.neon.dist --generate-baseline

psalm-analyze:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:7.4-cli

psalm-show-info:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm .phar--rm registry.gitlab.com/grahamcampbell/php:7.4-cli --show-info=true

test: phpunit phpstan-analyze-src phpstan-analyze-tests psalm-analyze

clean:
	@rm -rf .phpunit.result.cache composer.lock vendor vendor-bin/*/composer.lock vendor-bin/*/vendor

## php-phpoption 1.7.5

=== debian/changelog ===
php-phpoption (1.7.5-2) unstable; urgency=medium

  * Source only upload for migration to testing
  * Remove Salsa CI config

 -- Robin Gustafsson <robin@rgson.se>  Sun, 06 Dec 2020 16:20:15 +0100

php-phpoption (1.7.5-1) unstable; urgency=medium

  * New upstream release
  * Add Upstream-Name and Upstream-Contact
  * Drop obsolete patches

 -- Robin Gustafsson <robin@rgson.se>  Thu, 27 Aug 2020 20:17:37 +0200

php-phpoption (1.7.3-1) unstable; urgency=medium

  * Initial release (Closes: #951164)

 -- Robin Gustafsson <robin@rgson.se>  Tue, 12 May 2020 20:50:48 +0200

=== debian/control ===
Source: php-phpoption
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Robin Gustafsson <robin@rgson.se>
Build-Depends:
 debhelper-compat (= 13),
 phpab,
 phpunit,
 pkg-php-tools,
Standards-Version: 4.5.0
Homepage: https://github.com/schmittjoh/php-option
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpoption
Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpoption.git
Rules-Requires-Root: no

Package: php-phpoption
Architecture: all
Depends:
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: Option type for PHP
 PHP library implementing an Option type for PHP.
 .
 The Option type is intended for cases where you sometimes might return a value
 (typically an object), and sometimes you might return a base value (typically
 null) depending on arguments, or other runtime factors.

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none, \
   repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
   https://github.com/schmittjoh/php-option.git \
   refs/tags/v?([\d\.]+) debian uupdate

## php-phpoption 1.8.1

=== debian/changelog ===
php-phpoption (1.8.1-1) unstable; urgency=medium

  * Team upload

  [ Robin Gustafsson ]
  * Set upstream metadata fields: Security-Contact.
  * Bump Standards-Version
  * Replace git attributes with uscan's gitexport=all
  * Rename main branch to debian/latest (DEP-14)
  * Mark test dependencies with build profile spec

  [ David Prévot ]
  * Install /u/s/p/autoloaders file
  * New upstream version 1.8.1
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Wed, 29 Dec 2021 10:45:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  phpab,
- phpunit,
+ phpunit <!nocheck>,
  pkg-php-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/schmittjoh/php-option
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpoption
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpoption.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpoption.git -b debian/latest
 Rules-Requires-Root: no
 
 Package: php-phpoption

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab -o src/PhpOption/autoload.php src/PhpOption

override_dh_auto_install:

override_dh_auto_test:
	phpunit -v --include-path src --bootstrap src/PhpOption/autoload.php

=== debian/tests/control ===
Test-Command: phpunit -v --bootstrap /usr/share/php/PhpOption/autoload.php
Restrictions: allow-stderr
Depends: @, phpunit

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, gitexport=all, pgpmode=none, \
   repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
   https://github.com/schmittjoh/php-option.git \
   refs/tags/v?([\d\.]+) debian uupdate

## php-phpoption 1.9.1

=== Makefile ===
install:
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:8.2-base update
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:8.2-base bin all update

phpunit:
	@rm -f bootstrap/cache/*.php && docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpunit --rm registry.gitlab.com/grahamcampbell/php:8.2-cli

phpstan-analyze-src:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:8.2-cli analyze src -c phpstan.src.neon.dist

phpstan-analyze-tests:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:8.2-cli analyze tests -c phpstan.tests.neon.dist

phpstan-baseline:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:8.2-cli analyze src -c phpstan.src.neon.dist --generate-baseline

psalm-analyze:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:8.2-cli

psalm-show-info:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm .phar--rm registry.gitlab.com/grahamcampbell/php:8.2-cli --show-info=true

test: phpunit phpstan-analyze-src phpstan-analyze-tests psalm-analyze

clean:
	@rm -rf .phpunit.result.cache composer.lock vendor vendor-bin/*/composer.lock vendor-bin/*/vendor

=== debian/changelog ===
php-phpoption (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Support PHPUnit 10 (Closes: #1039816)
  * Update standards version to 4.6.2, no changes needed.

 -- Robin Gustafsson <robin@rgson.se>  Sat, 22 Jul 2023 23:29:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  phpab,
  phpunit <!nocheck>,
  pkg-php-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/schmittjoh/php-option
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpoption
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpoption.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 override_dh_auto_install:
 
 override_dh_auto_test:
-	phpunit -v --include-path src --bootstrap src/PhpOption/autoload.php
+	phpunit --include-path src --bootstrap src/PhpOption/autoload.php

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/PhpOption/autoload.php
Restrictions: allow-stderr
Depends: @, phpunit

## php-phpoption 1.9.2

=== debian/changelog ===
php-phpoption (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  * Update Standards-Version
  * Mark package as Multi-Arch: foreign
  * Use my debian.org email in Uploaders

 -- Robin Gustafsson <rgson@debian.org>  Wed, 03 Jul 2024 20:38:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: Robin Gustafsson <robin@rgson.se>
+Uploaders: Robin Gustafsson <rgson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  phpab,
  phpunit <!nocheck>,
  pkg-php-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/schmittjoh/php-option
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpoption
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpoption.git -b debian/latest
@@ -16,6 +16,7 @@
 
 Package: php-phpoption
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${phpcomposer:Debian-require},

## php-phpoption 1.9.3

=== Makefile ===
install:
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:8.3-base update
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:8.3-base bin all update

phpunit:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpunit --rm registry.gitlab.com/grahamcampbell/php:8.3-cli

phpstan-analyze:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:8.3-cli analyze

phpstan-baseline:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:8.3-cli analyze --generate-baseline

psalm-analyze:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:8.3-cli

psalm-baseline:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:8.3-cli --set-baseline=psalm-baseline.xml

psalm-show-info:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:8.3-cli --show-info=true

test: phpunit phpstan-analyze psalm-analyze

clean:
	@rm -rf .phpunit.result.cache composer.lock vendor vendor-bin/*/composer.lock vendor-bin/*/vendor

=== debian/changelog ===
php-phpoption (1.9.3-2) unstable; urgency=medium

  * Team upload
  * Modernize PHPUnit syntax
  * Drop debian/pkg-php-tools-autoloaders
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Wed, 12 Mar 2025 07:26:31 +0100

php-phpoption (1.9.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.9.3

 -- David Prévot <taffit@debian.org>  Sat, 25 Jan 2025 11:20:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  phpab,
  phpunit <!nocheck>,
  pkg-php-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/schmittjoh/php-option
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpoption
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpoption.git -b debian/latest
